libgnat8-devel-8.3.1-alt5.i586.rpm


Advertisement

Description

libgnat8-devel - Header files and libraries for Ada 95 development

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libgnat8-devel-8.3.1-alt5.i586.rpm
Package name libgnat8-devel
Package version 8.3.1
Package release alt5
Package architecture i586
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 10.20 KB
Installed size 10.20 KB
This is the GNU implementation of the standard Ada 95 libraries.
This package includes the include files and libraries needed for
Ada 95 development.

Alternatives

Package Version Architecture Repository
libgnat8-devel-8.3.1-alt5.x86_64.rpm 8.3.1 x86_64 Classic
libgnat8-devel - - -

Requires

Name Value
gcc-common >= 1.4.7
libgnat8 = 8.3.1-alt5:sisyphus+235477.100.1.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
libgnat8-devel = 8.3.1-alt5:sisyphus+235477.100.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libgnat8-devel-8.3.1-alt5.i586.rpm
Source Package gcc8-8.3.1-alt5.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libgnat8-devel rpm package:
    # sudo apt-get install libgnat8-devel

Files

Path
/etc/buildreqs/packages/substitute.d/libgnat8-devel
/usr/lib/gcc/i586-alt-linux/8/libgmem.a
/usr/lib/gcc/i586-alt-linux/8/libgnarl-8.so
/usr/lib/gcc/i586-alt-linux/8/libgnarl.so
/usr/lib/gcc/i586-alt-linux/8/libgnat-8.so
/usr/lib/gcc/i586-alt-linux/8/libgnat.so

Changelog

2019-08-05 - Gleb F-Malinovskiy <glebfm@altlinux.org> 8.3.1-alt5
- Applied upstream fix for PR 89906 (closes: #36972).
- Removed versioning of lib{cc1,cc1plugin,cp1plugin} libraries
(closes: #36046).
2019-05-07 - Dmitry V. Levin <ldv@altlinux.org> 8.3.1-alt4
- Updated to redhat/gcc-8-branch r270976 (Fedora gcc-8.3.1-4).
2019-04-11 - Dmitry V. Levin <ldv@altlinux.org> 8.3.1-alt3
- Upgraded default -fstack-protector to -fstack-protector-strong.
- Fixed build with libtool 2.4.6.
2019-03-11 - Dmitry V. Levin <ldv@altlinux.org> 8.3.1-alt2
- Updated to redhat/gcc-8-branch r269592 (Fedora gcc-8.3.1-3).
2019-02-23 - Dmitry V. Levin <ldv@altlinux.org> 8.3.1-alt1
- Updated to redhat/gcc-8-branch r269162 (Fedora gcc-8.3.1-2).
2019-02-11 - Dmitry V. Levin <ldv@altlinux.org> 8.2.1-alt5
- Updated to redhat/gcc-8-branch r268720 (Fedora gcc-8.2.1-8).
2019-02-07 - Dmitry V. Levin <ldv@altlinux.org> 8.2.1-alt4
- Added ppc64le support (by glebfm@).
- Fixed profiledbootstrap build (by glebfm@).
- g++: enabled -Werror=return-type by default (closes: #36038).
- libcc1.so.0: cleaned up using a fixed libtool (closes: #36045).
2019-01-14 - Dmitry V. Levin <ldv@altlinux.org> 8.2.1-alt3
- Updated to redhat/gcc-8-branch r267776 (Fedora gcc-8.2.1-7).
- Merged updates for mips* (by iv@) and riscv (by arei@).
2018-12-27 - Dmitry V. Levin <ldv@altlinux.org> 8.2.1-alt2
- Updated to redhat/gcc-8-branch r267173 (Fedora gcc-8.2.1-6).
2018-11-07 - Gleb F-Malinovskiy <glebfm@altlinux.org> 8.2.1-alt1
- Updated to redhat/gcc-8-branch r264110.
- Synced with Fedora gcc 8.2.1-4 and Debian gcc-8 8.2.0-7.

See Also

Package Description
libgnat8-devel-static-8.3.1-alt5.i586.rpm Static libraries for Ada 95 development
libgnet-2.0.8-alt4.1.i586.rpm GNet is a simple network library
libgnet-devel-2.0.8-alt4.1.i586.rpm Header files for the Gnet library
libgnokii-0.6.31-alt2.i586.rpm Library for gnokii
libgnokii-devel-0.6.31-alt2.i586.rpm Development files for gnokii
libgnome-2.32.1-alt4.i586.rpm GNOME base library
libgnome-autoar-0.2.3-alt1.i586.rpm Automatic archives creating and extracting library
libgnome-autoar-devel-0.2.3-alt1.i586.rpm Development files for libgnome-autoar
libgnome-autoar-gir-0.2.3-alt1.i586.rpm GObject introspection data for the gnome-autoar library
libgnome-bluetooth-3.34.0-alt1.i586.rpm The GNOME Bluetooth Subsystem library
libgnome-bluetooth-devel-3.34.0-alt1.i586.rpm The GNOME Bluetooth Subsystem development package
libgnome-bluetooth-gir-3.34.0-alt1.i586.rpm GObject introspection data for the GNOME Bluetooth library
libgnome-desktop-2.32.1-alt4.1.i586.rpm GNOME desktop core libraries
libgnome-desktop-devel-2.32.1-alt4.1.i586.rpm GNOME desktop develop libraries and includes
libgnome-desktop3-3.34.1-alt1.i586.rpm GNOME desktop core libraries
Advertisement
Advertisement